## atom 0.1

=== Makefile ===

CC		=	gcc
#CFLAGS		=	-c -O6
INCLUDE		=	/Window/X11/include
CFLAGS		=	-Wall -I$(INCLUDE)
LD		=	gcc
LDFLAGS		=
LDLIBS		=	-lX11

INCLUDES	=	system.h \
			cpu.h \
			atom.h \
			monitor.h \
			keyboard.h \
			screen.h

SRC		=	main.c \
			atom.c \
			cpu.c \
			monitor.c \
			screen.c \
			keyboard.c

OBJS		= 	$(SRC:.c=.o)

MAKEDEPEND      = makedepend

.SUFFIXES: .c 

.c.o:
	$(CC) $(CFLAGS) -c $<


all		: $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS) $(LDLIBS) -o atom

pack:
	tar -cvf atom.tar *.c *.h Makefile
	gzip atom.tar

depend: $(SRC)
	@echo -n "Doing a makedepend ..";$(MAKEDEPEND) -I$(INCLUDE) $(SRC);echo

# DO NOT DELETE THIS LINE -- make depend depends on it.

main.o: /usr/include/stdio.h /usr/include/stdlib.h
main.o: /usr/include/sys/stdtypes.h /usr/include/string.h
main.o: /usr/include/fcntl.h /usr/include/sys/fcntlcom.h
main.o: /usr/include/sys/stat.h /usr/include/sys/types.h
main.o: /usr/include/sys/sysmacros.h /usr/include/ctype.h
main.o: /usr/include/signal.h /usr/include/sys/signal.h
main.o: /usr/include/vm/faultcode.h system.h cpu.h atom.h screen.h keyboard.h
main.o: monitor.h
atom.o: /usr/include/stdio.h system.h cpu.h atom.h screen.h
cpu.o: /usr/include/stdio.h /usr/include/stdlib.h /usr/include/sys/stdtypes.h
cpu.o: system.h atom.h monitor.h cpu.h
monitor.o: /usr/include/stdio.h /usr/include/ctype.h system.h atom.h cpu.h
monitor.o: monitor.h
screen.o: /usr/include/stdio.h /usr/include/malloc.h system.h cpu.h screen.h
screen.o: keyboard.h atom.h
keyboard.o: /usr/include/stdio.h system.h cpu.h atom.h keyboard.h

## atom 0.2

=== Makefile ===

CC		=	gcc
#CFLAGS		=	-c -O6
INCLUDE		=	/usr/X11/include/
CFLAGS		=	-Wall -I$(INCLUDE)
LD		=	gcc
LDFLAGS		=
LDLIBS		=	-lX11

INCLUDES	=	system.h \
			cpu.h \
			atom.h \
			monitor.h \
			keyboard.h \
			file.h \
			screen.h

SRC		=	main.c \
			atom.c \
			cpu.c \
			monitor.c \
			screen.c \
			keyboard.c \
			file.c

OBJS		= 	$(SRC:.c=.o)

MAKEDEPEND      = makedepend

.SUFFIXES: .c 

.c.o:
	$(CC) $(CFLAGS) -c $<


all		: $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS) $(LDLIBS) -o atom

pack:
	tar -cvf atom.tar *.c *.h Makefile
	gzip atom.tar

depend: $(SRC)
	@echo -n "Doing a makedepend ..";$(MAKEDEPEND) -I$(INCLUDE) $(SRC);echo

# DO NOT DELETE THIS LINE -- make depend depends on it.

main.o: /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h
main.o: /usr/include/sys/cdefs.h /usr/include/stdlib.h
main.o: /usr/include/features.h /usr/include/errno.h
main.o: /usr/include/linux/errno.h /usr/include/alloca.h
main.o: /usr/include/string.h /usr/include/fcntl.h /usr/include/sys/types.h
main.o: /usr/include/linux/types.h /usr/include/linux/fcntl.h
main.o: /usr/include/ctype.h /usr/include/signal.h
main.o: /usr/include/linux/signal.h system.h cpu.h atom.h screen.h keyboard.h
main.o: /usr/X11/include/X11/Xlib.h /usr/X11/include/X11/X.h
main.o: /usr/X11/include/X11/Xfuncproto.h /usr/X11/include/X11/Xosdefs.h
main.o: /usr/X11/include/X11/keysym.h /usr/X11/include/X11/keysymdef.h
main.o: monitor.h
atom.o: /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h
atom.o: /usr/include/sys/cdefs.h system.h cpu.h atom.h screen.h
cpu.o: /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h
cpu.o: /usr/include/sys/cdefs.h /usr/include/stdlib.h /usr/include/features.h
cpu.o: /usr/include/errno.h /usr/include/linux/errno.h /usr/include/alloca.h
cpu.o: system.h atom.h monitor.h cpu.h
monitor.o: /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h
monitor.o: /usr/include/sys/cdefs.h /usr/include/ctype.h
monitor.o: /usr/include/features.h system.h atom.h cpu.h monitor.h file.h
screen.o: /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h
screen.o: /usr/include/sys/cdefs.h /usr/include/malloc.h
screen.o: /usr/include/features.h /usr/X11/include/X11/Xlib.h
screen.o: /usr/include/sys/types.h /usr/include/linux/types.h
screen.o: /usr/X11/include/X11/X.h /usr/X11/include/X11/Xfuncproto.h
screen.o: /usr/X11/include/X11/Xosdefs.h /usr/X11/include/X11/Xutil.h
screen.o: system.h cpu.h screen.h keyboard.h /usr/X11/include/X11/keysym.h
screen.o: /usr/X11/include/X11/keysymdef.h atom.h
keyboard.o: /usr/include/stdio.h /usr/include/libio.h
keyboard.o: /usr/include/_G_config.h /usr/include/sys/cdefs.h
keyboard.o: /usr/X11/include/X11/Xlib.h /usr/include/sys/types.h
keyboard.o: /usr/include/linux/types.h /usr/X11/include/X11/X.h
keyboard.o: /usr/X11/include/X11/Xfuncproto.h /usr/X11/include/X11/Xosdefs.h
keyboard.o: /usr/X11/include/X11/Xutil.h system.h cpu.h atom.h keyboard.h
keyboard.o: /usr/X11/include/X11/keysym.h /usr/X11/include/X11/keysymdef.h
file.o: /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h
file.o: /usr/include/sys/cdefs.h /usr/include/ctype.h /usr/include/features.h
file.o: system.h atom.h cpu.h monitor.h file.h

## atom 0.3

=== Makefile ===

CC		=	gcc
#CFLAGS		=	-c -O6
INCLUDE		=	/Window/X11/include/
CFLAGS		=	-Wall -I$(INCLUDE)
LD		=	gcc
LDFLAGS		=
LDLIBS		=	-lX11

INCLUDES	=	system.h \
			cpu.h \
			atom.h \
			monitor.h \
			keyboard.h \
			file.h \
			screen.h

SRC		=	main.c \
			atom.c \
			cpu.c \
			monitor.c \
			screen.c \
			keyboard.c \
			file.c

OBJS		= 	$(SRC:.c=.o)

MAKEDEPEND      = makedepend

.SUFFIXES: .c 

.c.o:
	$(CC) $(CFLAGS) -c $<


all		: $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS) $(LDLIBS) -o atom

pack:
	tar -cvfh atom.tar *.c *.h Makefile
	gzip atom.tar

depend: $(SRC)
	@echo -n "Doing a makedepend ..";$(MAKEDEPEND) -I$(INCLUDE) $(SRC);echo

# DO NOT DELETE THIS LINE -- make depend depends on it.

main.o: /usr/include/stdio.h /usr/include/stdlib.h
main.o: /usr/include/sys/stdtypes.h /usr/include/string.h
main.o: /usr/include/fcntl.h /usr/include/sys/fcntlcom.h
main.o: /usr/include/sys/stat.h /usr/include/sys/types.h
main.o: /usr/include/sys/sysmacros.h /usr/include/ctype.h
main.o: /usr/include/signal.h /usr/include/sys/signal.h
main.o: /usr/include/vm/faultcode.h system.h cpu.h atom.h screen.h keyboard.h
main.o: /Window/X11/include/X11/Xlib.h /Window/X11/include/X11/X11/X.h
main.o: /Window/X11/include/X11/X11/Xfuncproto.h
main.o: /Window/X11/include/X11/X11/Xosdefs.h /usr/include/stddef.h
main.o: /Window/X11/include/X11/keysym.h
main.o: /Window/X11/include/X11/X11/keysymdef.h monitor.h
atom.o: /usr/include/stdio.h system.h cpu.h atom.h screen.h
cpu.o: /usr/include/stdio.h /usr/include/stdlib.h /usr/include/sys/stdtypes.h
cpu.o: system.h atom.h monitor.h cpu.h
monitor.o: /usr/include/stdio.h /usr/include/ctype.h system.h atom.h cpu.h
monitor.o: monitor.h file.h
screen.o: /usr/include/stdio.h /usr/include/malloc.h
screen.o: /Window/X11/include/X11/Xlib.h /usr/include/sys/types.h
screen.o: /usr/include/sys/stdtypes.h /usr/include/sys/sysmacros.h
screen.o: /Window/X11/include/X11/X11/X.h
screen.o: /Window/X11/include/X11/X11/Xfuncproto.h
screen.o: /Window/X11/include/X11/X11/Xosdefs.h /usr/include/stddef.h
screen.o: /Window/X11/include/X11/Xutil.h system.h cpu.h screen.h keyboard.h
screen.o: /Window/X11/include/X11/keysym.h
screen.o: /Window/X11/include/X11/X11/keysymdef.h atom.h
keyboard.o: /usr/include/stdio.h /Window/X11/include/X11/Xlib.h
keyboard.o: /usr/include/sys/types.h /usr/include/sys/stdtypes.h
keyboard.o: /usr/include/sys/sysmacros.h /Window/X11/include/X11/X11/X.h
keyboard.o: /Window/X11/include/X11/X11/Xfuncproto.h
keyboard.o: /Window/X11/include/X11/X11/Xosdefs.h /usr/include/stddef.h
keyboard.o: /Window/X11/include/X11/Xutil.h system.h cpu.h atom.h keyboard.h
keyboard.o: /Window/X11/include/X11/keysym.h
keyboard.o: /Window/X11/include/X11/X11/keysymdef.h
file.o: /usr/include/stdio.h /usr/include/ctype.h system.h atom.h cpu.h
file.o: monitor.h file.h

## atom 1.13.1

=== debian/changelog ===
atom (1.13.1-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 26 Jan 2017 18:18:39 -0800

atom (1.13.1-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time

 -- Alin Andrei <andrew@webupd8.org>  Thu, 26 Jan 2017 13:12:58 +0200

atom (1.13.0-1~webupd8~1) xenial; urgency=medium

  * New upstream bugfix release
  * New dependecy: libasound2
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time

 -- Alin Andrei <andrew@webupd8.org>  Thu, 12 Jan 2017 11:18:22 +0200

atom (1.12.9-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time
    - used https://github.com/atom/atom/pull/13001/files to get
      Atom to build on 32bit

 -- Alin Andrei <andrew@webupd8.org>  Thu, 05 Jan 2017 14:47:19 +0200

atom (1.12.8-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time
    - used https://github.com/atom/atom/pull/13001/files to get
      Atom to build on 32bit

 -- Alin Andrei <andrew@webupd8.org>  Wed, 04 Jan 2017 13:45:21 +0200

atom (1.12.7-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time
    - used https://github.com/atom/atom/pull/13001/files to get
      Atom to build on 32bit

 -- Alin Andrei <andrew@webupd8.org>  Mon, 12 Dec 2016 14:28:41 +0200

atom (1.12.6+1-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time
    - used https://github.com/atom/atom/pull/13001/files to get
      Atom to build on 32bit

 -- Alin Andrei <andrew@webupd8.org>  Tue, 29 Nov 2016 14:39:25 +0200

atom (1.12.5-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time
    - used https://github.com/atom/atom/pull/13001/files to get
      Atom to build on 32bit

 -- Alin Andrei <andrew@webupd8.org>  Tue, 22 Nov 2016 12:57:15 +0200

atom (1.12.4-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time
    - used https://github.com/atom/atom/pull/13001/files to get
      Atom to build on 32bit

 -- Alin Andrei <andrew@webupd8.org>  Fri, 18 Nov 2016 11:37:22 +0200

atom (1.12.3+1-1~webupd8~0) xenial; urgency=medium

  * updated atom.sh to the latest

 -- Alin Andrei <andrew@webupd8.org>  Thu, 17 Nov 2016 14:16:21 +0200

atom (1.12.3-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time
    - used https://github.com/atom/atom/pull/13001/files to get
      Atom to build on 32bit

 -- Alin Andrei <andrew@webupd8.org>  Wed, 16 Nov 2016 14:18:39 +0200

atom (1.12.2-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time
    - used https://github.com/atom/atom/pull/13001/files to get
      Atom to build on 32bit

 -- Alin Andrei <andrew@webupd8.org>  Wed, 15 Nov 2016 12:43:21 +0200

atom (1.12.1-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time
    - used https://github.com/atom/atom/pull/13001/files to get
      Atom to build on 32bit

 -- Alin Andrei <andrew@webupd8.org>  Fri, 11 Nov 2016 11:44:32 +0200

atom (1.12.0+1-1~webupd8~0) xenial; urgency=medium

  * New upstream release
  * New dependency: libxkbfile1
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time
    - used https://github.com/atom/atom/pull/13001/files to get
      Atom to build on 32bit

 -- Alin Andrei <andrew@webupd8.org>  Thu, 10 Nov 2016 15:19:21 +0200

atom (1.11.2.64bit+1.11.2.32bit-1~webupd8~0) xenial; urgency=medium

  * Used https://github.com/atom/atom/pull/13001/files to get
    Atom 1.11.2 to build on 32bit
  * Will return to the normal package version with the next
    release (no 32bit/64bit version)

 -- Alin Andrei <andrew@webupd8.org>  Fri, 28 Oct 2016 13:02:48 +0200

atom (1.11.2.64bit+1.10.2.32bit-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release 
  * Re-applied: disabled metrics and exception-reporting packages 
    at build time
  * The 32bit binary can't be built at this time due to a bug:
    https://github.com/atom/atom/issues/12972

 -- Alin Andrei <andrew@webupd8.org>  Tue, 18 Oct 2016 14:49:32 +0200

atom (1.11.1.64bit+1.10.2.32bit-1~webupd8~1) xenial; urgency=medium

  * New upstream bugfix release 
  * Re-applied: disabled metrics and exception-reporting packages 
    at build time
  * The 32bit binary can't be built at this time due to a bug:
    https://github.com/atom/atom/issues/12972

 -- Alin Andrei <andrew@webupd8.org>  Fri, 14 Oct 2016 10:52:29 +0200

atom (1.10.2-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release 
  * Re-applied: disabled metrics and exception-reporting packages 
    at build time

 -- Alin Andrei <andrew@webupd8.org>  Fri, 09 Sep 2016 09:59:14 +0200

atom (1.10.1-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release 
  * Re-applied: disabled metrics and exception-reporting packages 
    at build time

 -- Alin Andrei <andrew@webupd8.org>  Wed, 07 Sep 2016 13:55:21 +0200

atom (1.10.0-1~webupd8~0) trusty; urgency=medium

  * New upstream bugfix release 
  * Re-applied: disabled metrics and exception-reporting packages 
    at build time



=== debian/control ===
Source: atom
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Alin Andrei <webupd8@gmail.com>
Build-Depends: debhelper
Standards-Version: 3.9.8
Homepage: http://www.atom.io

Package: atom
Architecture: any
Depends: ${misc:Depends}, git,
 gconf2,
 gconf-service,
 libgtk2.0-0,
 libudev0 | libudev1,
 libgcrypt11 | libgcrypt20,
 libnotify4,
 libxtst6,
 libnss3,
 python,
 gvfs-bin,
 xdg-utils,
 libdbus-1-3,
 libcap2,
 libxkbfile1,
 libasound2
Recommends: lsb-release
Suggests: libgnome-keyring0, gir1.2-gnomekeyring-1.0
Description: hackable text editor from GitHub
 Atom is a hackable text editor for the 21st century, developed by GitHub.
 .
 Atom is open source and built on top of atom-shell.
 .
 Atom is designed to be customizable, but also usable without needing to edit
 an config file.
 .
 Atom is modern, approachable, and hackable to the core.

## atom 1.19.2

=== debian/changelog ===
atom (1.19.2-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 21 Aug 2017 10:24:20 -0700

atom (1.19.2-1~webupd8~1) xenial; urgency=medium

  * New upstream release
  * Build with clang because using gcc fails to build Atom in
    Ubuntu 14.04 starting with this version
  * The Metrics and Exception Reporting packages are no longer
    disabled at build time (and thus, are now enabled in this
    package) because Atom can't be built without them any more

 -- Alin Andrei <andrew@webupd8.org>  Mon, 21 Aug 2017 13:57:14 +0200

atom (1.19.0-1~webupd8~0) xenial; urgency=medium

  * New upstream release
  * Build with clang because using gcc fails to build Atom in
    Ubuntu 14.04 starting with this version
  * The Metrics and Exception Reporting packages are no longer
    disabled at build time (and thus, are now enabled in this
    package) because Atom can't be built without them any more

 -- Alin Andrei <andrew@webupd8.org>  Thu, 10 Aug 2017 10:59:42 +0000

atom (1.18.0-1~webupd8~0) xenial; urgency=medium

  * New upstream release
  * New dependency: libsecret-1-0
  * The Metrics and Exception Reporting packages are no longer
    disabled at build time (and thus, are now enabled in this
    package) because Atom can't be built without them any more

 -- Alin Andrei <andrew@webupd8.org>  Mon, 19 Jun 2017 13:35:28 +0000

atom (1.17.2-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * The Metrics and Exception Reporting packages are no longer
    disabled at build time (and thus, are now enabled in this
    package) because Atom can't be built without them any more

 -- Alin Andrei <andrew@webupd8.org>  Mon, 29 May 2017 12:13:44 +0000

atom (1.17.0-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * The Metrics and Exception Reporting packages are no longer
    disabled at build time (and thus, are now enabled in this
    package) because Atom can't be built without them any more

 -- Alin Andrei <andrew@webupd8.org>  Fri, 19 May 2017 14:58:29 +0100

atom (1.16.0-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time

 -- Alin Andrei <andrew@webupd8.org>  Tue, 18 Apr 2017 13:19:44 +0100

atom (1.15.0-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time

 -- Alin Andrei <andrew@webupd8.org>  Tue, 14 Mar 2017 11:19:39 +0100

atom (1.14.4-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time

 -- Alin Andrei <andrew@webupd8.org>  Tue, 28 Feb 2017 13:56:12 +0200

atom (1.14.3-1~webupd8~1) xenial; urgency=medium

  * Fix: actually provide 1.14.3 (sorry about that!)

 -- Alin Andrei <andrew@webupd8.org>  Mon, 27 Feb 2017 13:47:21 +0200

atom (1.14.3-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time

 -- Alin Andrei <andrew@webupd8.org>  Mon, 20 Feb 2017 13:47:21 +0200

atom (1.14.2-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time

 -- Alin Andrei <andrew@webupd8.org>  Wed, 15 Feb 2017 12:35:58 +0200

atom (1.14.1-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time

 -- Alin Andrei <andrew@webupd8.org>  Fri, 10 Feb 2017 12:59:02 +0200

atom (1.14.0-1~webupd8~0) xenial; urgency=medium

  * New upstream bugfix release
  * Re-applied: 
    - disabled metrics and exception-reporting packages 
      at build time

 -- Alin Andrei <andrew@webupd8.org>  Thu, 09 Feb 2017 12:57:41 +0200

=== debian/control ===
Source: atom
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Alin Andrei <webupd8@gmail.com>
Build-Depends: debhelper
Standards-Version: 4.0.0
Homepage: http://www.atom.io

Package: atom
Architecture: any
Depends: ${misc:Depends}, git, gconf2, gconf-service, libgtk2.0-0, libudev0 | libudev1, libgcrypt11 | libgcrypt20, libnotify4, libxtst6, libnss3, python, gvfs-bin, xdg-utils, libdbus-1-3, libcap2, libxkbfile1, libx11-6, libasound2, libsecret-1-0, gir1.2-secret-1
Recommends: lsb-release
Suggests: libgnome-keyring0, gir1.2-gnomekeyring-1.0
Description: Atom text editor from GitHub
 Atom is a hackable text editor for the 21st century, developed by GitHub.
 .
 Atom is open source and built on top of atom-shell.
 .
 Atom is designed to be customizable, but also usable without needing to edit a config file.
 .
 Atom is modern, approachable, and hackable to the core.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	install -Dm 644 $(CURDIR)/icons/16x16/atom.png $(CURDIR)/debian/atom/usr/share/icons/hicolor/16x16/apps/atom.png
	install -Dm 644 $(CURDIR)/icons/32x32/atom.png $(CURDIR)/debian/atom/usr/share/icons/hicolor/32x32/apps/atom.png
	install -Dm 644 $(CURDIR)/icons/48x48/atom.png $(CURDIR)/debian/atom/usr/share/icons/hicolor/48x48/apps/atom.png
	install -Dm 644 $(CURDIR)/icons/128x128/atom.png $(CURDIR)/debian/atom/usr/share/icons/hicolor/128x128/apps/atom.png
	install -Dm 644 $(CURDIR)/icons/256x256/atom.png $(CURDIR)/debian/atom/usr/share/icons/hicolor/256x256/apps/atom.png
	install -Dm 644 $(CURDIR)/atom.desktop $(CURDIR)/debian/atom/usr/share/applications/atom.desktop
	install -Dm 755 $(CURDIR)/atom $(CURDIR)/debian/atom/usr/bin/atom
ifeq ($(DEB_HOST_ARCH),amd64)
	install -Dm 755 $(CURDIR)/atom-linux64.tar.xz \
		$(CURDIR)/debian/atom/opt/atom/atom-linux64.tar.xz
else
	install -Dm 755 $(CURDIR)/atom-linux32.tar.xz \
		$(CURDIR)/debian/atom/opt/atom/atom-linux32.tar.xz
endif

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_icons
	dh_installmenu
	dh_installmime
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
